<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<soofea version="0.4" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../etc/soofea/soofea.xsd">

  <configuration>
    <output write="final"/>
    <math>
      <num_int_config>
        <file name="../../etc/soofea/soofea_num_int.xml" type="XML"/>
      </num_int_config>
    </math>
    <logging priority="NOTICE">
      <file name="../../calc/quad_patch.log" type="TXT"/>
    </logging>
  </configuration>

  <global analysis_type="newton_raphson" convergence_criteria="1e-15" coord_sys_type="cartesian" dim="2" id="quad_patch" sle_solution_method="cholesky"/>

  <node>
    <n N="1" x="0.0000000000" y="0.0000000000"/>
    <n N="2" x="100.00000000" y="0.0000000000"/>
    <n N="3" x="0.0000000000" y="100.00000000"/>
    <n N="4" x="100.00000000" y="100.00000000"/>
  </node>

  <element>
    <e N="1" et="1" gnn="4 3 1 2" m="1"/>
  </element>

  <boundary>
    <b N="1" gnn="1 2" id="line"/>
    <b N="2" gnn="2 3" id="line"/>
    <b N="3" gnn="4 3" id="line"/>
    <b N="4" gnn="3 1" id="line"/>
  </boundary>

  <element_type>
    <et N="1" ds="2" id="quad" int_points="2 2"/>
  </element_type>

  <material>
    <m N="1" ds="1" id="neo_hookean"/>
  </material>

  <prescribed_dof>
    <dof N="1" gnn="1" id="displacement" u="0.0" v="0.0"/>
    <dof N="2" gnn="2" id="displacement" v="0.0"/>
    <dof N="3" b="3" id="displacement" v="0.0"/>
    <dof N="4" b="3" id="displacement" v="-30"/>
  </prescribed_dof>

  <time_bar>
    <te N="1" end_time="10" step_amount="3">
      <progress N="1" dof="1" id="const" te="1"/>
      <progress N="2" dof="2" id="const" te="1"/>
      <progress N="3" dof="3 4" id="ramp" te="1"/>
    </te>
  </time_bar>

  <data_set>
    <ds N="1">
      <data name="youngs_modulus" type="double" value="2000"/>
      <data name="poisson_ratio" type="double" value="0.3"/>
    </ds>
    <ds N="2">
      <data name="shape_order" type="int" value="1"/>
      <data name="height" type="double" value="10"/>
    </ds>
  </data_set>

  <result last_time_index="3">
    <time_stamp N="1" time="3.33333">
      <node>
        <n N="1" u="0" v="0"/>
        <n N="2" u="4.49973" v="0"/>
        <n N="3" u="-1.16473e-16" v="-10"/>
        <n N="4" u="4.49973" v="-10"/>
      </node>
    </time_stamp>
    <time_stamp N="2" time="6.66667">
      <node>
        <n N="1" u="0" v="0"/>
        <n N="2" u="9.48761" v="0"/>
        <n N="3" u="-1.71989e-17" v="-20"/>
        <n N="4" u="9.48761" v="-20"/>
      </node>
    </time_stamp>
    <time_stamp N="3" time="10">
      <node>
        <n N="1" u="0" v="0"/>
        <n N="2" u="15.0796" v="0"/>
        <n N="3" u="4.54785e-16" v="-30"/>
        <n N="4" u="15.0796" v="-30"/>
      </node>
    </time_stamp>
  </result>

</soofea>
